# -*- encoding: utf-8 -*-
# stub: sensu-plugins-openbsd 1.0.7 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-openbsd".freeze
  s.version = "1.0.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "@mikalv", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2018-11-29"
  s.description = "This plugin provides common checks for OpenBSD hosts".freeze
  s.email = "<support@sigterm.no>".freeze
  s.executables = ["check-ntp.rb".freeze, "check-process.rb".freeze, "check-cmd.rb".freeze, "check-bgpd.rb".freeze]
  s.files = ["bin/check-bgpd.rb".freeze, "bin/check-cmd.rb".freeze, "bin/check-ntp.rb".freeze, "bin/check-process.rb".freeze]
  s.homepage = "https://github.com/Sigterm-no/sensu-plugins-openbsd".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "Checks can be expected to find under /usr/local/bin, ensure the sensu user include it to PATH".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for OpenBSD".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<english>.freeze, ["= 0.6.3"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 2.7"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.12"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.5"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<english>.freeze, ["= 0.6.3"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 2.7"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.12"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.5"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
